MultipleSetterProperty (Groovy 5.0.8)
Description: declaration: package: org.codehaus.groovy.runtime.metaclass, class: MultipleSetterProperty

Package org.codehaus.groovy.runtime.metaclass

# Class MultipleSetterProperty

java.lang.Object
groovy.lang.MetaProperty
org.codehaus.groovy.runtime.metaclass.MultipleSetterProperty

All Implemented Interfaces:
  `MetaMember`

public class MultipleSetterProperty extends MetaProperty
This class represents a property with multiple setters. Unlike a MetaBeanProperty you cannot get the setter in this case. Instead invocation is done through the metaclass of the property receiver.

- ## Field Summary

  ### Fields inherited from class groovy.lang.MetaProperty

  `name, PROPERTY_SET_PREFIX, type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MultipleSetterProperty(String name)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MetaProperty`
  `createStaticVersion()`
  `CachedField`
  `getField()`
  `MetaMethod`
  `getGetter()`
  `Object`
  `getProperty(Object object)`
  `void`
  `setField(CachedField f)`
  `void`
  `setGetter(MetaMethod getter)`
  `void`
  `setProperty(Object object, Object newValue)`
  Sets the property on the given object to the new value.

  ### Methods inherited from class groovy.lang.MetaProperty

  `getGetterName, getModifiers, getName, getSetterName, getType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface groovy.lang.MetaMember

  `isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, isSynthetic`

- ## Constructor Details

  - ### MultipleSetterProperty

    public MultipleSetterProperty(String name)

- ## Method Details

  - ### getProperty

    public Object getProperty(Object object)
    Specified by:
      `getProperty` in class `MetaProperty`
    Returns:
      the property of the given object

  - ### setProperty

    public void setProperty(Object object, Object newValue)
    Description copied from class: `MetaProperty`
    Sets the property on the given object to the new value.
    Specified by:
      `setProperty` in class `MetaProperty`
    Parameters:
      `object` - on which to set the property
      `newValue` - the new value of the property

  - ### setField

    public void setField(CachedField f)

  - ### getField

    public CachedField getField()

  - ### setGetter

    public void setGetter(MetaMethod getter)

  - ### getGetter

    public MetaMethod getGetter()

  - ### createStaticVersion

    public MetaProperty createStaticVersion()